#!/bin/sh

cwd="$(pwd)"

share="/usr/local/share/easyconf-lemonbar"
mkdir -p ${share}
cp -r easyconf_lemonbar poetry.toml pyproject.toml README.md ${share}
cd ${share}
poetry install
cd ${cwd}

bin="/usr/local/bin"
mkdir -p ${bin}
cp dist/easyconf-lemonbar ${bin}
chmod +x ${bin}/easyconf-lemonbar

doc="/usr/local/share/doc/easyconf-lemonbar"
mkdir -p ${doc}
cp data/example_config.yml ${doc}
